ランタイム: Mix::Scene::IActorCollider Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IActorCollider Class Referenceabstract

アクターコライダーインターフェース More...

`#include <IActorCollider.h>`

Inheritance diagram for Mix::Scene::IActorCollider:
[legend]
Collaboration diagram for Mix::Scene::IActorCollider:
[legend]

## Public Member Functions

virtual const wchar_t * | GetName (void) const =0
| 名前を取得します More...
virtual UInt16 | GetCurrentFilterGroup (void) const =0
| 現在のフィルターグループを取得します More...
virtual UInt16 | GetFilterGroup (Mix::Dynamics::IRigidBody::STATUS status) const =0
| フィルターグループを取得します More...
virtual void | SetFilterGroup (Mix::Dynamics::IRigidBody::STATUS status, UInt16 value)=0
| フィルターグループを設定します More...
virtual UInt16 | GetCurrentFilterMask (void) const =0
| 現在のフィルターマスクを取得します More...
virtual UInt16 | GetFilterMask (Mix::Dynamics::IRigidBody::STATUS status) const =0
| フィルターマスクを取得します More...
virtual void | SetFilterMask (Mix::Dynamics::IRigidBody::STATUS status, UInt16 value)=0
| フィルターマスクを設定します More...
Public Member Functions inherited from Mix::Scene::IKineticCollider
virtual Float32 | GetMass (void) const =0
| 質量を取得します More...
virtual void | SetMass (Float32 mass)=0
| 質量を設定します More...
virtual const Mix::Dynamics::MATERIAL & | GetMaterial (void) const =0
| マテリアルを取得します More...
virtual void | SetMaterial (const Mix::Dynamics::MATERIAL &material)=0
| マテリアルを設定します More...
virtual Boolean | IsAlwaysActive (void) const =0
| 活動設定を取得します More...
virtual Boolean | SetAlwaysActive (Boolean state)=0
| 活動設定をします More...
virtual Boolean | IsActive (void) const =0
| 活動状態を取得します More...
virtual Boolean | Activate (void)=0
| 活動状態にします More...
virtual Boolean | Deactivate (Boolean bFroce=False)=0
| 非活動状態にします More...
virtual Mix::Vector3 | GetLinearFactor (void) const =0
| 移動のファクタを設定します More...
virtual void | SetLinearFactor (const Mix::Vector3 &factor)=0
| 移動のファクタを設定します More...
virtual Float32 | GetLinearDamping (void) const =0
| 移動の減衰値を取得します More...
virtual void | SetLinearDamping (Float32 damping)=0
| 移動の減衰値を設定します More...
virtual Mix::Vector3 | GetLinearVelocity (void)=0
| 移動速度を取得します More...
virtual Boolean | SetLinearVelocity (const Mix::Vector3 &velocity)=0
| 移動速度を設定します More...
virtual Float32 | GetLinearSleepingThresholds (void) const =0
| 移動を停止する速度を取得します More...
virtual void | SetLinearSleepingThresholds (Float32 thresholds)=0
| 移動を停止する速度を設定します More...
virtual Mix::Vector3 | GetAngularFactor (void) const =0
| 回転のファクタを設定します More...
virtual void | SetAngularFactor (const Mix::Vector3 &factor)=0
| 回転のファクタを設定します More...
virtual Float32 | GetAngularDamping (void) const =0
| 回転の減衰値を取得します More...
virtual void | SetAngularDamping (Float32 damping)=0
| 回転の減衰値を設定します More...
virtual Mix::Vector3 | GetAngularVelocity (void)=0
| 回転速度を取得します More...
virtual Boolean | SetAngularVelocity (const Mix::Vector3 &velocity)=0
| 回転速度を設定します More...
virtual Float32 | GetAngularSleepingThresholds (void) const =0
| 回転を停止する速度を取得します More...
virtual void | SetAngularSleepingThresholds (Float32 thresholds)=0
| 回転を停止する速度を設定します More...
virtual Boolean | ApplyLinearImpulse (const Mix::Vector3 &impulse)=0
| 移動に撃力を適用します More...
virtual Boolean | ApplyAngularImpulse (const Mix::Vector3 &impulse)=0
| 回転に撃力を適用します More...
virtual Boolean | ApplyImpulse (const Mix::Vector3 &impulse, const Mix::Vector3 &pos)=0
| 指定した位置に撃力を適用します More...
virtual Mix::Vector3 | GetTotalLinearForce (void)=0
| 移動に適用されている力を取得します More...
virtual Mix::Vector3 | GetTotalAngularForce (void)=0
| 回転に適用されている力を取得します More...
virtual Boolean | ApplyLinearForce (const Mix::Vector3 &force)=0
| 移動に力を適用します More...
virtual Boolean | ApplyAngularForce (const Mix::Vector3 &force)=0
| 回転に力を適用します More...
virtual Boolean | ApplyForce (const Mix::Vector3 &force, const Mix::Vector3 &pos)=0
| 指定した位置に力を適用します More...
virtual void | ClearForce (void)=0
| 適用されている力をクリアします More...
virtual void | ClearMotion (void)=0
| モーションをクリアします More...
virtual void | ClearMotion (const Mix::Quaternion &rot, const Mix::Vector3 &pos)=0
| モーションをクリアします More...
Public Member Functions inherited from Mix::Scene::ICollider
virtual Boolean | IsDefault (void) const =0
| デフォルトかどうかを取得します More...
virtual Boolean | IsStatic (void) const =0
| スタティックかどうかを取得します More...
virtual Boolean | IsKinematic (void) const =0
| キネマティックかどうかを取得します More...
Public Member Functions inherited from Mix::Scene::IDynamicsObject
virtual Mix::Scene::IDynamicsObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | GetOwner (Mix::Scene::IRendererObject **ppOwner)=0
| オーナーを取得します More...
virtual Mix::Scene::IRendererObject * | GetOwnerPtr (void) const =0
| オーナーのポインタを取得します More...
virtual Mix::Matrix4x4 | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
virtual Mix::Quaternion | GetWorldRotation (void) const =0
| ワールドの回転を取得します More...
virtual Mix::Vector3 | GetWorldPosition (void) const =0
| ワールドの位置を取得します More...
virtual Boolean | HasContactListener (void) const =0
| コンタクトリスナーを所持しているかどうかを取得します More...
virtual Boolean | ContainsContactListener (Mix::Scene::IContactListener *pListener) const =0
| 指定したコンタクトリスナーが存在しているかどうかを確認します More...
virtual Boolean | AddContactListener (Mix::Scene::IContactListener *pListener)=0
| コンタクトリスナーを追加します More...
virtual Boolean | RemoveContactListener (Mix::Scene::IContactListener *pListener)=0
| コンタクトリスナーを削除します More...
virtual void | ClearContactListener (void)=0
| 全てのコンタクトリスナーを削除します More...
virtual Int32 | GetUserIndex (void) const =0
| ユーザーインデックスを取得します More...
virtual void | SetUserIndex (Int32 index)=0
| ユーザーインデックスを設定します More...
virtual void * | GetUserPtr (void) const =0
| ユーザーポインタを取得します More...
virtual void | SetUserPtr (void *pData)=0
| ユーザーポインタを設定します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IActorCollider (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::ICollider
virtual | ~ICollider (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IDynamicsObject
virtual | ~IDynamicsObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IDynamicsObject
enum | TYPE { UNDEFINED = 0, SIMPLE_COLLIDER = 1, LIBERTY_COLLIDER = 2, ACTOR_COLLIDER = 3, TERRAIN_COLLIDER = 4, SIMPLE_SENSOR = 5, ACTOR_SENSOR = 6, SIMPLE_KINEMATIC_CHARACTER = 7, ACTOR_KINEMATIC_CHARACTER = 8 }
| タイプ列挙定数 More...

## Detailed Description

アクターコライダーインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IActorCollider::~IActorCollider | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const wchar_t* Mix::Scene::IActorCollider::GetName | ( | void |  | ) | const

pure virtual

名前を取得します

Returns
  名前を返します

virtual UInt16 Mix::Scene::IActorCollider::GetCurrentFilterGroup | ( | void |  | ) | const

pure virtual

現在のフィルターグループを取得します

Returns
  現在のフィルターグループを返します

virtual UInt16 Mix::Scene::IActorCollider::GetFilterGroup | ( | Mix::Dynamics::IRigidBody::STATUS | status | ) | const

pure virtual

フィルターグループを取得します

Parameters

  [in] | status | リジッドボディのステータスを表す Mix::Dynamics::IRigidBody::STATUS 列挙定数

Returns
  フィルターグループを返します

virtual void Mix::Scene::IActorCollider::SetFilterGroup | ( | Mix::Dynamics::IRigidBody::STATUS | status,
|  | UInt16 | value
| ) |  |

pure virtual

フィルターグループを設定します

Parameters

  [in] | status | リジッドボディのステータスを表す Mix::Dynamics::IRigidBody::STATUS 列挙定数
  [in] | value | フィルターグループ

Note
  初期値はコライダー内部で使用しているリジッドボディのステータスによって異なります。

      DEFAULT   : Mix::Dynamics::OF_DEFAULT
      STATIC    : Mix::Dynamics::OF_STATIC
      KINEMATIC : Mix::Dynamics::OF_KINEMATIC

virtual UInt16 Mix::Scene::IActorCollider::GetCurrentFilterMask | ( | void |  | ) | const

pure virtual

現在のフィルターマスクを取得します

Returns
  現在のフィルターマスクを返します

virtual UInt16 Mix::Scene::IActorCollider::GetFilterMask | ( | Mix::Dynamics::IRigidBody::STATUS | status | ) | const

pure virtual

フィルターマスクを取得します

Parameters

  [in] | status | リジッドボディのステータスを表す Mix::Dynamics::IRigidBody::STATUS 列挙定数

Returns
  フィルターマスクを返します

virtual void Mix::Scene::IActorCollider::SetFilterMask | ( | Mix::Dynamics::IRigidBody::STATUS | status,
|  | UInt16 | value
| ) |  |

pure virtual

フィルターマスクを設定します

Parameters

  [in] | status | リジッドボディのステータスを表す Mix::Dynamics::IRigidBody::STATUS 列挙定数
  [in] | value | フィルターマスク

Note
  初期値はコライダー内部で使用しているリジッドボディのステータスによって異なります。

      DEFAULT :   Mix::Dynamics::OF_DEFAULT |
                  Mix::Dynamics::OF_STATIC |
                  Mix::Dynamics::OF_KINEMATIC |
                  Mix::Dynamics::OF_SENSOR

      STATIC :    Mix::Dynamics::OF_DEFAULT |
                  Mix::Dynamics::OF_KINEMATIC |
                  Mix::Dynamics::OF_SENSOR |
                  Mix::Dynamics::OF_CHARACTER |
                  Mix::Dynamics::OF_DEBRIS

      KINEMATIC : Mix::Dynamics::OF_DEFAULT |
                  Mix::Dynamics::OF_SENSOR

The documentation for this class was generated from the following file:

- Mix/Scene/IActorCollider.h